Query Resource Workload

Retrieve information about the expected workload for a Resource. The workload for a Resource is a list of tasks, days, and the amount of time spent on each task per day. You can examine a Resource's workload to identify when that Resource is required to contribute to specific tasks. To query for workload for a Resource, you must first know the unique identifier of the Resource. You may use the QueryResource API to identify the resource, and then use its `id` field to call `QueryResourceWorkload`. Workload is defined in two ways: either automatically by the ProjectManager.com system, or manually by editing the workload page within the ProjectManager.com app. When you query for workload information, each entry will specify whether the assignment was created manually or via the system. If a task does not have any workload allocated, it will not be returned by this API. The `QueryResourceWorkload` API uses Gridify-style querying. For a full description of query rules, see [Querying Tutorial](https://developer.projectmanager.com/getting-started/querying-tutorial). When querying for workload, you can use filters, sorting, pagination, and you can also request additional data to be included in the API result. The QueryResourceWorkload API returns a maximum of 1000 results per request as a single page. To retrieve all workload for a Resource, you must fetch pages starting with the number 1 until no additional data is returned.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

resourceIdstringRequiredformat: "uuid"
The id of the Resource

Headers

x-integration-namestringOptional
The name of the calling system passed along as a header parameter

Query parameters

filterstringOptional

A Gridify formatted filter used to search by task.projectId and/or date and/or minutes

sortstringOptional

A Gridify formatted ordering used to sort by date, task.name and/or createdDate. Defaults to date asc.

includestringOptional

A comma separated list of additional data to include in each result. Set to task to include basic Task details, and/or assignment to include the assignment’s total assigned minutes.

pageintegerOptionalDefaults to 1
The page number to retrieve, starting at 1. Defaults to 1. Pages over individual allocations.
pageSizeintegerOptionalDefaults to 1000
The number of allocations, no less than 1 or more than 1000, per page. Defaults to 1000.

Response

Success
errorobject or nullOptional
If the API call failed, this will contain information about the error that occurred.
successbooleanOptionalRead-only

True if the API call succeeded; false otherwise.

hasErrorbooleanOptionalRead-only
True if the API call failed.
statusCodeenumOptional
The HTTP code of the response.
datalist of objectsOptional
If the API call succeeded, this will contain the results.